Bug 156655 - [new port] net-mgmt/zenoss: monitoring software
[new port] net-mgmt/zenoss: monitoring software
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Chris Rees
Depends on:
  Show dependency treegraph
Reported: 2011-04-26 01:40 UTC by phil
Modified: 2011-08-26 12:10 UTC (History)
0 users

See Also:

file.diff (1.14 KB, patch)
2011-04-26 01:40 UTC, phil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description phil 2011-04-26 01:40:09 UTC
Here's a port for zenoss, an open source network management system.
WWW: http://zenoss.com/

This builds cleanly in tinderbox and passes portlint.
Shar for the port can be found here:  http://sites.google.com/site/philsplacepublic/files2/zenoss31.shar.txt
I have also attached a patch for UIDs/GIDs, since the port requires a new user.

Some things to be aware of:

* The daemon 'zentrap' isn't working on FreeBSD (yet)
* This port is unconventional - it builds (and installs) during the install step.
  (This is the way the zenoss script does it)
* I added 'java' to the list of CATEGORIES to satisfy portlint.  However, the port
  only uses java during its build process to generate some files.
Comment 1 utisoft 2011-05-10 20:32:52 UTC

Looks pretty good, it's obvious a load of hard work went into it.

Please don't take this as an attack! A couple of pointers:

#	Only remove conf files that differ from examples

It's kinda hard to see what's going on here; you'll be better off with
something like:

CONF_FILES=  something.conf \

then using a Make .for, rather than shell (don't copy/paste this;
gmail can't do tabs!):

.for file in ${CONF_FILES}
            @cmp ${file} ${file}.example && ${RM} -f ${file} > /dev/null

and you could be better off patching the build scripts to install a
sample.conf rather than

As I mentioned on IRC, you can't list config files in pkg-plist,
they'll get wiped out
by pkg_delete even if they've been edited by a user on
upgrade/deinstall. Take a look
at [1].

At the weekend I'll have another look.


[1] http://www.freebsd.org/doc/en/books/porters-handbook/plist-config.html
Comment 2 pphillips 2011-05-31 23:00:40 UTC
Thanks for the feedback, Chris.

Here's an updated shar the should preserve conf files.
Comment 3 utisoft 2011-06-09 18:18:54 UTC
Hi Phil,

Sorry about the delay in replying.

The changes look good, although personally I'd rather not see a port
compiling during the install phase because of the traditional upgrade
sequence of FreeBSD ports (yes, there is one);

make <-- nothing
make deinstall
make install

Now we wait for compilation, all the while zenoss is inactive and deinstalled.

If this isn't a problem for anyone else then we can leave it at that!

Comment 4 Chris Rees freebsd_committer 2011-06-12 11:14:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 5 utisoft 2011-06-12 15:07:07 UTC
I've rewritten the shar a little, including a few changes:

- Removal of clobbering BINOWN etc <-- no precedent for that in any
other ports I can find, and also redundant because of the find -type d
and -type f -exec chown lines in the Makefile and pkg-install.

- Replaced instances of zenoss:zenoss with ${USERS}:${GROUPS} <-- more
explicit that it's the ones with the port

- Replaced [ "$dep" == "freetype" ] with [ "$dep" = "freetype" ] in
files/patch-rrddeps.sh <-- thanks to jilles@ -- please pass that
upstream too, == in [] is a GNUism and only works on 8-STABLE+

- Optimised the code in pkg-install for installing example files --
take a look although it actually turns out the install script does the
config file arrangement for us, though we still have to remove the
example files properly.

These should all be fine now, I'm going to run it through a Tinderbox
before sending to rene@ for approval.


Comment 6 pphillips 2011-06-16 06:12:20 UTC
Hey Chris,

Thanks for taking this on :).  The updates look good to me.

I plan on getting zenoss to build and install in separate steps, but this ve=
rsion will at least get the ball rolling for zenoss on FreeBSD.  My colleagu=
es and I have also been working on porting various "ZenPacks":  http://www.Fre=

But, getting an initial zenoss port in is a big step :).

Thanks again,
Comment 7 utisoft 2011-06-20 21:59:03 UTC
On 16 June 2011 06:12, Phil Phillips <pphillips@experts-exchange.com> wrote=
> Hey Chris,
> Thanks for taking this on :). =A0The updates look good to me.
> I plan on getting zenoss to build and install in separate steps, but this=
 version will at least get the ball rolling for zenoss on FreeBSD. =A0My co=
lleagues and I have also been working on porting various "ZenPacks": =A0htt=
> But, getting an initial zenoss port in is a big step :).

Hey Phil,

Just keeping you in the loop.

I've spoken with several other committers and a portmgr member, the
general consensus is that it should be OK.

When I've fixed the portlint whines (like manpages in pkg-plist) I'll
get it in the tree-- should be sometime later this week.

Comment 8 Chris Rees freebsd_committer 2011-07-09 22:18:35 UTC

Almost there, and got the go-ahead... only thing is it has list trouble

I haven't had time to investigate yet, but could you perhaps explain why
pysamba/version.pyc is not installed on 7.x?

We're really almost there--- just sorting out the differences between
supported FreeBSD versions!


Comment 9 dfilter freebsd_committer 2011-07-21 17:52:02 UTC
crees       2011-07-21 16:51:48 UTC

  FreeBSD ports repository

  Modified files:
    .                    GIDs UIDs 
  Add users for net-mgmt/zenoss
  PR:             ports/156655
  Submitted by:   phil@experts-exchange.com
  Approved by:    rene (mentor)
  Revision  Changes    Path
  1.150     +2 -1      ports/GIDs
  1.163     +2 -1      ports/UIDs
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter freebsd_committer 2011-07-21 17:55:20 UTC
crees       2011-07-21 16:55:07 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt             Makefile 
  Added files:
    net-mgmt/zenoss      Makefile Makefile.man distinfo pkg-descr 
                         pkg-message pkg-plist 
    net-mgmt/zenoss/files libsmi-0.4.8.all.patch01 local.conf.in 
                          patch-GNUmakefile patch-ZenossInfo.py 
                          patch-build-functions.sh patch-build.sh 
                          patch-buildjs.sh patch-init.sh 
                          patch-rrddeps.sh pkg-install.in 
                          profile.in zenoss.in 
  An open source application, server and network management platform based on the
  Zope application server.
  WWW: http://zenoss.com/
  PR:             ports/156655
  Submitted by:   Phil Phillips <phil@experts-exchange.com>
  Approved by:    rene (mentor)
  Revision  Changes    Path
  1.251     +1 -0      ports/net-mgmt/Makefile
  1.1       +107 -0    ports/net-mgmt/zenoss/Makefile (new)
  1.1       +282 -0    ports/net-mgmt/zenoss/Makefile.man (new)
  1.1       +4 -0      ports/net-mgmt/zenoss/distinfo (new)
  1.1       +18 -0     ports/net-mgmt/zenoss/files/libsmi-0.4.8.all.patch01 (new)
  1.1       +1 -0      ports/net-mgmt/zenoss/files/local.conf.in (new)
  1.1       +95 -0     ports/net-mgmt/zenoss/files/patch-GNUmakefile (new)
  1.1       +19 -0     ports/net-mgmt/zenoss/files/patch-ZenossInfo.py (new)
  1.1       +48 -0     ports/net-mgmt/zenoss/files/patch-build-functions.sh (new)
  1.1       +22 -0     ports/net-mgmt/zenoss/files/patch-build.sh (new)
  1.1       +30 -0     ports/net-mgmt/zenoss/files/patch-buildjs.sh (new)
  1.1       +20 -0     ports/net-mgmt/zenoss/files/patch-init.sh (new)
  1.1       +82 -0     ports/net-mgmt/zenoss/files/patch-rrddeps.sh (new)
  1.1       +43 -0     ports/net-mgmt/zenoss/files/pkg-install.in (new)
  1.1       +8 -0      ports/net-mgmt/zenoss/files/profile.in (new)
  1.1       +42 -0     ports/net-mgmt/zenoss/files/zenoss.in (new)
  1.1       +4 -0      ports/net-mgmt/zenoss/pkg-descr (new)
  1.1       +9 -0      ports/net-mgmt/zenoss/pkg-message (new)
  1.1       +17959 -0  ports/net-mgmt/zenoss/pkg-plist (new)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Chris Rees freebsd_committer 2011-07-21 17:55:46 UTC
State Changed
From-To: open->closed

New port added, with some refactoring. Thanks!
Comment 12 dfilter freebsd_committer 2011-08-26 12:01:01 UTC
crees       2011-08-26 11:00:52 UTC

  FreeBSD doc repository (ports committer)

  Modified files:
    en_US.ISO8859-1/articles/contributors contrib.additional.sgml 
  Add contributor of net-mgmt/zenoss and net-mgmt/p5-Zenoss.
  PR:             ports/160193 ports/156655
  Revision  Changes    Path
  1.1013    +5 -0      doc/en_US.ISO8859-1/articles/contributors/contrib.additional.sgml
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"